FROM camptocamp/mapserver

RUN mkdir /tmp/mapserver && chown www-data:www-data /tmp/mapserver

RUN a2enmod rewrite \
 && a2enmod authn_core \
 && a2enmod access_compat \
 && echo "<900913> +proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +no_defs" >> /usr/share/proj/epsg

COPY ./server_confs_templates/var/lib/openbiomaps /var/lib/openbiomaps
COPY ./server_confs_templates/usr/lib/cgi-bin/.htaccess /usr/local/bin/.htaccess
